$  Copyright(c) 2002 Sun Microsystems, Inc.
$  All rights reserved.

$  #ident  "@(#)nipmitest.msg  1.2  04/08/02  SMI"



$ VERBOSE          1 - 1999
$ INFO          2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING       4000 - 5999
$ ERROR         6000 - 7999
$ FATAL         8000 - 9999


$ --------------------------------------------------
$ VERBOSE messages
$ --------------------------------------------------

1	"%s"
2	"Assign 0x%llx (%lld) bytes (%d pages) of virtual memory."
3	"Specified 0x%llx (%lld) bytes (%d pages) of virtual memory."
4	"Allocated and Testing 0x%x (%d) bytes (%d pages)."
5	"Virtual memory test:\n  Testing virtual memory from \
 address 0x%x to 0x%x.\n  Will write to entire range before checking."
6	"Recomparing memory (read only, no write) from \
 address 0x%x to 0x%x."
7	"Virtual memory test:\n  Testing virtual memory from address \
 0x%llx to 0x%llx.\n  Will write and read memory 1 page at a time for %d pages."
$ DMC_NOT_ENABLE
8 	"DMC-Active Option is not enabled."

$ ECHO_TEST_SLOTS

12 "IPMI Echo Test Slots=%s"

$ --------------------------------------------------
$ INFO 2000
$ --------------------------------------------------

2000	"%s"

$ USAGE
2001	"nipmitest [-o option=value] dmc1=<Enable|Disable>\n"


2003	"Recompare of %s: found %d contiguous bytes that miscompared:\n"

$ IPMI_RETRY      
2010	"Resending ipmi command to %s, retry count=%d"

2011	"\
    miscompare errors found will be recorded in an array and displayed\n\
    after the entire range is checked, then the entire range will be\n\
    re-read (no write) and the miscompared data will be displayed again.\n" 

$ SLOT_POWER_ON
2020 "%-10s Powered On"

$ CURRENT_SLOT
2021 "Current Slot %s"

$ SLOT_ENABLE
2022 "Slots Enable:%s"


$ --------------------------------------------------
$ WARNING messages
$ --------------------------------------------------

4000	"%s"
4001	"sysinfo(SI_PLATFORM) failed: %s."


$ --------------------------------------------------
$ ERROR messages
$ --------------------------------------------------

6000	"%s"
6001	"Test terminated after finding maximum number (%d) of noncontiguous errors."
6002	"pthread_create() failed:%s."
6003	"Expected a respond from:0x%x received:0x%x"
6004	"Expected Odd value for NetFun:0x%x"
6005	"Expected a respond for 0x%x received:0x%x"
6006	"Wrong seqence number received:0x%x"
6007	"Wrong Command Opcode expected:0x%x received:0x%x"
6008	"Expected 0x%x received:0x%x"
6009	"Expected ECHO Command"
6010	"Invalid data length, expected:%d received:%d"
6011	"Data mismatch, expected to receive pattern of 0x%x"

6012	"open %s failed: %s"
6013	"sysinfo failed: %s"
6014	"sysinfo does not match NetraCT-810 or NetraCT-410"
6015	"write failed: %s"
6016	"write failed: expect %d, written %d"

6017	"reading ACK packet failed: %s"
6018	"Invalid ACK packet received, cmd: 0x%x seq=0x%x"
6019	"Read failed: %s, invalid Check Sum: 0x%x"
6020	"Read failed on header packet: %s"
6021	"Failed to read data: %s"
6022	"read data size mismatch: expected:%d read:%d"

6023	"poll failed: %s"
6024 	"poll timeout: %d seconds"
6025	"poll timeout on Send Write/Read Ack: %d seconds"

6030	"IPMI Establish Communication failed %s"
6031	"Test Failed on Slot:%s %s\nRetried for %d time(s)."
$ ER_IPMITEST
6032	"IPMI Test Failed"

$ ER_PLATFOMR
6040	"Unable to determine platform type: %s"

$ CKSUM_SEQ_SET_E
6041	"ERROR:  %s: checksum and sequence should be 0, fields: 5, 7, %d\n"

$ INVALID_VALUE_E
6042	"Invalid string value %s, %s=<E|D>"

$ --------------------------------------------------
$ FATAL messages
$ --------------------------------------------------

8000	"%s"
8004	"valloc(0x%x) failed: %s."
8009	"Not enough space to store miscompare information."

$ --------------------------------------------------
$ PROBE messages
$ --------------------------------------------------

10000	"sysinfo failed"
10001	"echo_probe: Error, Pattern type cannot be NULL."
10002	"echo_probe: Invalid pattern: %s."
10003	"echo_probe: Error, Target cannot be NULL."
10004	"echo_probe: Invalid target: %s."
10005	"echo_probe: Error, Perform cannot be NULL."
10006	"echo_probe: Invalid perform <E or D>: %s."

